//importing data from local or weboracle page
import {loadAndProcessData} from './loadAndProcessData';
//retriving SVG width and height from html
const svg = d3.select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
const p = d3.geoNaturalEarth1();
//Generating path
const pathGenerator = d3.geoPath().projection(p);
const g = svg.append('g');
const colorScale = d3.scaleOrdinal();
const colorValue = d => d.properties.economy;

loadAndProcessData().then(countries => {
  
  	const tmp = colorScale.domain(countries.features.map(colorValue));
  console.log(colorScale.domain().sort());
    tmp
  		.domain(colorScale.domain().sort().reverse())
  		.range(d3.schemeSpectral[colorScale.domain().length]);
	  g.selectAll('path').data(countries.features)
  	.enter().append('path')
  	.attr('class', 'country')
  	.attr('d', pathGenerator)
  	.attr('fill', d => colorScale(colorValue(d)))
  	.append('title')
  	.text(d => d.properties.name + ':' + colorValue(d));
})