import {feature} from 'topojson'; 
export const loadAndProcessData = () =>
	Promise.all([
    //loading tsv file
    d3.tsv('https://unpkg.com/world-atlas@1.1.4/world/110m.tsv'),
    //loading topjson data
    d3.json('https://gist.githubusercontent.com/venkatajayanth03/09585c9e59665210026cfe4e2ce51112/raw/9c14a762acb12893251aa46c8b41bd9627259763/country-110m.json')
  ]).then(([tsvData, topoJsonData]) => {
    //retriving rowbyid from JSON file
    const rowById = tsvData.reduce((accumulator, d) => {
      accumulator[d.iso_n3] = d;
      return accumulator;
    }, {});
    //retriving countries from JSON file
    const countries = feature(topoJsonData, topoJsonData.objects.countries);
    console.log(countries.features);
    countries.features.forEach(d => {
      Object.assign(d.properties, rowById[d.id]);
    })
    return countries;
  });